<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lantone.security.mapper.SoftwareDataAuthMapper">
    <select id="getDataAuthDetail" resultType="com.lantone.security.dto.SoftwareDataAuthDetail">
        SELECT
            d.data_type dataType,
            d.detail_type detailType,
            d.detail_id detailId
        FROM
            sys_data_auth_detail d,
            sys_software_data_auth sd
        WHERE
            d.is_deleted = 'N'
        AND sd.is_deleted = 'N'
        AND d.software_data_auth_id = sd.id
        AND d.software_data_auth_id = #{Id}
    </select>
</mapper>